package com.dxhy.admin.sys.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysIpEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * ip 管理
 * 
 * @author jiaohongyang
 */
public interface SysIpService extends IService<SysIpEntity> {
    /**
     * ip 查询分页
     * 
     * @param params
     *            分页信息
     * @return 分页
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存ip
     * 
     * @param ip
     *            ip信息
     */
    void saveIp(SysIpEntity ip);

    /**
     * 修改ip
     * 
     * @param ip
     *            ip信息
     */
    void update(SysIpEntity ip);

    /**
     * 删除ip
     * 
     * @param id
     *            主键id
     */
    void deleteBatch(Long id);

    /**
     * 查询ip
     * 
     * @param id
     *            主键id
     * @return ip信息
     */
    SysIpEntity queryById(Long id);
}
